## org.apache.ivy.util.filter
Class NotFilter

    java.lang.Object
      org.apache.ivy.util.filter.NotFilter

All Implemented Interfaces:
  Filter

    public class NotFilter

extends java.lang.Object
implements Filter

Constructor Summary
`NotFilter(Filter op)`

Method Summary
`boolean` `accept(java.lang.Object o)`
`Filter` `getOp()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotFilter

    public NotFilter(Filter op)

Method Detail

### getOp

    public Filter getOp()

### accept

    public boolean accept(java.lang.Object o)

  Specified by:
    `accept` in interface `Filter`